Show / Hide Table of Contents

# Class UnixTimestampConverter

##### Inheritance

System.Object
Newtonsoft.Json.JsonConverter
UnixTimestampConverter

##### Inherited Members

System.Object.ToString()
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()

###### Namespace: Discord.Net.Converters

###### Assembly: Discord.Net.Rest.dll

##### Syntax

    public class UnixTimestampConverter : JsonConverter

### Fields

| Improve this Doc View Source

#### Instance

##### Declaration

    public static readonly UnixTimestampConverter Instance

##### Field Value

Type | Description
--- | ---
UnixTimestampConverter |

### Properties

| Improve this Doc View Source

#### CanRead

##### Declaration

    public override bool CanRead { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

##### Overrides

Newtonsoft.Json.JsonConverter.CanRead
| Improve this Doc View Source

#### CanWrite

##### Declaration

    public override bool CanWrite { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

##### Overrides

Newtonsoft.Json.JsonConverter.CanWrite

### Methods

| Improve this Doc View Source

#### CanConvert(Type)

##### Declaration

    public override bool CanConvert(Type objectType)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Type | objectType |

##### Returns

Type | Description
--- | ---
System.Boolean |

##### Overrides

Newtonsoft.Json.JsonConverter.CanConvert(System.Type)
| Improve this Doc View Source

#### ReadJson(JsonReader, Type, Object, JsonSerializer)

##### Declaration

    public override object ReadJson(JsonReader reader, Type objectType, object existingValue, JsonSerializer serializer)

##### Parameters

Type | Name | Description
--- | --- | ---
Newtonsoft.Json.JsonReader | reader |
System.Type | objectType |
System.Object | existingValue |
Newtonsoft.Json.JsonSerializer | serializer |

##### Returns

Type | Description
--- | ---
System.Object |

##### Overrides

Newtonsoft.Json.JsonConverter.ReadJson(Newtonsoft.Json.JsonReader, System.Type, System.Object, Newtonsoft.Json.JsonSerializer)
| Improve this Doc View Source

#### WriteJson(JsonWriter, Object, JsonSerializer)

##### Declaration

    public override void WriteJson(JsonWriter writer, object value, JsonSerializer serializer)

##### Parameters

Type | Name | Description
--- | --- | ---
Newtonsoft.Json.JsonWriter | writer |
System.Object | value |
Newtonsoft.Json.JsonSerializer | serializer |

##### Overrides

Newtonsoft.Json.JsonConverter.WriteJson(Newtonsoft.Json.JsonWriter, System.Object, Newtonsoft.Json.JsonSerializer)